## golang-github-checkpoint-restore-checkpointctl 0.1.0+ds1

=== Makefile ===
SHELL = /bin/bash
GO ?= go
GOPATH := $(shell $(GO) env GOPATH)
GOBIN := $(shell $(GO) env GOBIN)
GO_SRC = $(shell find . -name \*.go)
GO_BUILD = $(GO) build
NAME = checkpointctl
COVERAGE_PATH ?= $(shell pwd)/.coverage

all: $(NAME)

$(NAME): $(GO_SRC)
	$(GO_BUILD) -buildmode=pie -o $@ -ldflags "-X main.name=$(NAME)"

$(NAME).coverage: $(GO_SRC)
	$(GO) test \
		-covermode=count \
		-coverpkg=./... \
		-mod=vendor \
		-tags coverage \
		-buildmode=pie -c -o $@ \
		-ldflags "-X main.name=$(NAME)"

clean:
	rm -f $(NAME) $(NAME).coverage $(COVERAGE_PATH)/*
	if [ -d $(COVERAGE_PATH) ]; then rmdir $(COVERAGE_PATH); fi

golang-lint:
	golangci-lint run

shellcheck:
	shellcheck test/*bats

lint: golang-lint shellcheck

test: $(NAME)
	bats test/*bats

coverage: $(NAME).coverage
	mkdir -p $(COVERAGE_PATH)
	COVERAGE_PATH=$(COVERAGE_PATH) COVERAGE=1 bats test/*bats

codecov:
	curl -Os https://uploader.codecov.io/latest/linux/codecov
	chmod +x codecov
	./codecov -f '.coverage/*'

vendor:
	go mod tidy
	go mod vendor
	go mod verify

help:
	@echo "Usage: make <target>"
	@echo " * clean - remove artifacts"
	@echo " * lint - verify the source code (shellcheck/golangci-lint)"
	@echo " * golang-lint - run golang-lint"
	@echo " * shellcheck - run shellecheck"
	@echo " * vendor - update go.mod, go.sum and vendor directory"
	@echo " * test - run tests"
	@echo " * help - show help"

.PHONY: clean lint golang-lint shellcheck vendor test help

=== debian/changelog ===
golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Mon, 23 Jun 2025 11:27:31 +1000

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 25 Oct 2024 12:14:09 +1000

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 13:32:05 +0530

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 24 Oct 2023 18:11:23 -0400

golang-github-checkpoint-restore-checkpointctl (0.1.0+ds1-1) experimental; urgency=medium

  * Initial release (Closes: #1054273)

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 23 Oct 2023 08:21:20 -0400

=== debian/control ===
Source: golang-github-checkpoint-restore-checkpointctl
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-checkpoint-restore-go-criu-dev (>> 6),
               golang-github-containers-storage-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-spf13-cobra-dev,
               golang-github-ulikunitz-xz-dev,
               golang-github-xlab-treeprint-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-checkpointctl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-checkpointctl.git
Homepage: https://github.com/checkpoint-restore/checkpointctl
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/checkpoint-restore/checkpointctl

Package: golang-github-checkpoint-restore-checkpointctl-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-checkpoint-restore-go-criu-dev (>> 6),
         golang-github-containers-storage-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-spf13-cobra-dev,
         golang-github-ulikunitz-xz-dev,
         golang-github-xlab-treeprint-dev,
         ${misc:Depends}
Description: Tool to inspect Kubernetes and Podman checkpoints (library)
 Container engines like *Podman* and *CRI-O* have the ability to
 checkpoint a container.  All data related to a checkpoint is collected
 in a checkpoint archive.
 .
 This library contains code to create and make use of checkpoint archives.

Package: checkpointctl
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Tool to inspect Kubernetes and Podman checkpoints (program)
 Container engines like *Podman* and *CRI-O* have the ability to
 checkpoint a container.  All data related to a checkpoint is collected
 in a checkpoint archive.
 .
 This package provides the tool checkpointctl to display information about
 these checkpoint archives.

## golang-github-checkpoint-restore-checkpointctl 1.2.1+ds1

=== Makefile ===
SHELL = /bin/bash
PREFIX ?= $(DESTDIR)/usr/local
BINDIR ?= $(PREFIX)/bin
GO ?= go
GOPATH := $(shell $(GO) env GOPATH)
GOBIN := $(shell $(GO) env GOBIN)
GO_SRC = $(shell find . -name \*.go)
GO_BUILD = $(GO) build
NAME = checkpointctl

BASHINSTALLDIR=${PREFIX}/share/bash-completion/completions
ZSHINSTALLDIR=${PREFIX}/share/zsh/site-functions
FISHINSTALLDIR=${PREFIX}/share/fish/vendor_completions.d

include Makefile.versions

COVERAGE_PATH ?= $(shell pwd)/.coverage

GO_MAJOR_VER = $(shell $(GO) version | cut -c 14- | cut -d' ' -f1 | cut -d'.' -f1)
GO_MINOR_VER = $(shell $(GO) version | cut -c 14- | cut -d' ' -f1 | cut -d'.' -f2)
MIN_GO_MAJOR_VER = 1
MIN_GO_MINOR_VER = 20
GO_VALIDATION_ERR = Go version is not supported. Please update to at least $(MIN_GO_MAJOR_VER).$(MIN_GO_MINOR_VER)

.PHONY: all
all: $(NAME)

.PHONY: check-go-version
check-go-version:
	@if [ $(GO_MAJOR_VER) -gt $(MIN_GO_MAJOR_VER) ]; then \
		exit 0 ;\
	elif [ $(GO_MAJOR_VER) -lt $(MIN_GO_MAJOR_VER) ]; then \
		echo '$(GO_VALIDATION_ERR)';\
		exit 1; \
	elif [ $(GO_MINOR_VER) -lt $(MIN_GO_MINOR_VER) ] ; then \
		echo '$(GO_VALIDATION_ERR)';\
		exit 1; \
	fi


$(NAME): $(GO_SRC)
	$(GO_BUILD) -o $@ -ldflags "-X main.name=$(NAME) -X main.version=${VERSION}"

$(NAME).coverage: check-go-version $(GO_SRC)
	$(GO) build \
		-cover \
		-o $@ \
		-ldflags "-X main.name=$(NAME) -X main.version=${VERSION}"

.PHONY: release
release:
	CGO_ENABLED=0 $(GO_BUILD) -o $(NAME) -ldflags "-X main.name=$(NAME) -X main.version=${VERSION}"

.PHONY: install
install: $(NAME) install.completions
	@echo "  INSTALL " $<
	@mkdir -p $(DESTDIR)$(BINDIR)
	@install -m0755 $< $(DESTDIR)$(BINDIR)
	@make -C docs install

.PHONY: uninstall
uninstall: uninstall.completions
	@make -C docs uninstall
	@echo " UNINSTALL" $(NAME)
	@$(RM) $(addprefix $(DESTDIR)$(BINDIR)/,$(NAME))

.PHONY: clean
clean:
	rm -f $(NAME) junit.xml $(NAME).coverage $(COVERAGE_PATH)/*
	if [ -d $(COVERAGE_PATH) ]; then rmdir $(COVERAGE_PATH); fi
	@make -C docs clean

.PHONY: golang-lint
golang-lint:
	golangci-lint run

.PHONY: shellcheck
shellcheck:
	shellcheck test/*bats

.PHONY: lint
lint: golang-lint shellcheck

.PHONY: test
test: $(NAME)
	$(GO) test -v ./...
	make -C test

.PHONY: test-junit
test-junit: $(NAME)
	make -C test test-junit clean

.PHONY: coverage
coverage: check-go-version $(NAME).coverage
	mkdir -p $(COVERAGE_PATH)
	COVERAGE_PATH=$(COVERAGE_PATH) COVERAGE=1 make -C test
	# Print coverage from this run
	$(GO) tool covdata percent -i=${COVERAGE_PATH}
	$(GO) tool covdata textfmt -i=${COVERAGE_PATH} -o ${COVERAGE_PATH}/coverage.out

.PHONY: codecov
codecov:
	curl -Os https://uploader.codecov.io/latest/linux/codecov
	chmod +x codecov
	./codecov -f "$(COVERAGE_PATH)"/coverage.out

.PHONY: vendor
vendor:
	go mod tidy
	go mod vendor
	go mod verify

.PHONY: docs
docs:
	@make -C docs

.PHONY: completions
completions: $(NAME)
	declare -A outfiles=([bash]=%s [zsh]=_%s [fish]=%s.fish);\
	for shell in $${!outfiles[*]}; do \
		outfile=$$(printf "completions/$$shell/$${outfiles[$$shell]}" $(NAME)); \
		./$(NAME) completion $$shell >| $$outfile; \
	done

.PHONY: validate.completions
validate.completions: SHELL:=/usr/bin/env bash # Set shell to bash for this target
validate.completions:
	# Check if the files can be loaded by the shell
	. completions/bash/$(NAME)
	if [ -x /bin/zsh ]; then /bin/zsh completions/zsh/_$(NAME); fi
	if [ -x /bin/fish ]; then /bin/fish completions/fish/$(NAME).fish; fi

.PHONY: install.completions
install.completions:
	@install -d -m 755 ${DESTDIR}${BASHINSTALLDIR}
	@install -m 644 completions/bash/$(NAME) ${DESTDIR}${BASHINSTALLDIR}
	@install -d -m 755 ${DESTDIR}${ZSHINSTALLDIR}
	@install -m 644 completions/zsh/_$(NAME) ${DESTDIR}${ZSHINSTALLDIR}
	@install -d -m 755 ${DESTDIR}${FISHINSTALLDIR}
	@install -m 644 completions/fish/$(NAME).fish ${DESTDIR}${FISHINSTALLDIR}

.PHONY: uninstall.completions
uninstall.completions:
	@$(RM) $(addprefix ${DESTDIR}${BASHINSTALLDIR}/,$(NAME))
	@$(RM) $(addprefix ${DESTDIR}${ZSHINSTALLDIR}/,_$(NAME))
	@$(RM) $(addprefix ${DESTDIR}${FISHINSTALLDIR}/,$(NAME).fish)

.PHONY: help
help:
	@echo "Usage: make <target>"
	@echo " * completions - generate auto-completion files"
	@echo " * clean - remove artifacts"
	@echo " * docs - build man pages"
	@echo " * lint - verify the source code (shellcheck/golangci-lint)"
	@echo " * golang-lint - run golangci-lint"
	@echo " * shellcheck - run shellcheck"
	@echo " * vendor - update go.mod, go.sum, and vendor directory"
	@echo " * test - run tests"
	@echo " * test-junit - run tests and create junit output"
	@echo " * coverage - generate test coverage report"
	@echo " * codecov - upload coverage report to codecov.io"
	@echo " * install - install the binary to $(BINDIR)"
	@echo " * uninstall - remove the installed binary from $(BINDIR)"
	@echo " * release - build a static binary"
	@echo " * help - show help"

=== debian/changelog ===
golang-github-checkpoint-restore-checkpointctl (1.2.1+ds1-4) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:07:13 -0400

golang-github-checkpoint-restore-checkpointctl (1.2.1+ds1-3) experimental; urgency=medium

  * New upstream release
  * Bump Standards version
  * tighten dependency on go-criu >> 7.1
  * build against golang-github-xlab-treeprint-dev (>> 1.2)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 06 Aug 2024 20:14:57 -0400

=== debian/control ===
Source: golang-github-checkpoint-restore-checkpointctl
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-checkpoint-restore-go-criu-dev (>> 7.1),
               golang-github-containers-storage-dev,
               golang-github-olekukonko-tablewriter-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-spf13-cobra-dev,
               golang-github-ulikunitz-xz-dev,
               golang-github-xlab-treeprint-dev (>> 1.2)
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-checkpointctl
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-checkpoint-restore-checkpointctl.git
Homepage: https://github.com/checkpoint-restore/checkpointctl
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/checkpoint-restore/checkpointctl

Package: golang-github-checkpoint-restore-checkpointctl-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-checkpoint-restore-go-criu-dev (>> 7.1),
         golang-github-containers-storage-dev,
         golang-github-olekukonko-tablewriter-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-spf13-cobra-dev,
         golang-github-ulikunitz-xz-dev,
         golang-github-xlab-treeprint-dev,
         golang-github-xlab-treeprint-dev (>> 1.2),
         ${misc:Depends}
Description: Tool to inspect Kubernetes and Podman checkpoints (library)
 Container engines like *Podman* and *CRI-O* have the ability to
 checkpoint a container.  All data related to a checkpoint is collected
 in a checkpoint archive.
 .
 This library contains code to create and make use of checkpoint archives.

Package: checkpointctl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Tool to inspect Kubernetes and Podman checkpoints (program)
 Container engines like *Podman* and *CRI-O* have the ability to
 checkpoint a container.  All data related to a checkpoint is collected
 in a checkpoint archive.
 .
 This package provides the tool checkpointctl to display information about
 these checkpoint archives.

## golang-github-checkpoint-restore-checkpointctl 1.3.0%2Bds1

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/checkpoint-restore/checkpointctl/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-github-checkpoint-restore-checkpointctl 1.3.0+ds1

=== Makefile ===
--- 
+++ 
@@ -16,32 +16,13 @@
 
 COVERAGE_PATH ?= $(shell pwd)/.coverage
 
-GO_MAJOR_VER = $(shell $(GO) version | cut -c 14- | cut -d' ' -f1 | cut -d'.' -f1)
-GO_MINOR_VER = $(shell $(GO) version | cut -c 14- | cut -d' ' -f1 | cut -d'.' -f2)
-MIN_GO_MAJOR_VER = 1
-MIN_GO_MINOR_VER = 20
-GO_VALIDATION_ERR = Go version is not supported. Please update to at least $(MIN_GO_MAJOR_VER).$(MIN_GO_MINOR_VER)
-
 .PHONY: all
 all: $(NAME)
-
-.PHONY: check-go-version
-check-go-version:
-	@if [ $(GO_MAJOR_VER) -gt $(MIN_GO_MAJOR_VER) ]; then \
-		exit 0 ;\
-	elif [ $(GO_MAJOR_VER) -lt $(MIN_GO_MAJOR_VER) ]; then \
-		echo '$(GO_VALIDATION_ERR)';\
-		exit 1; \
-	elif [ $(GO_MINOR_VER) -lt $(MIN_GO_MINOR_VER) ] ; then \
-		echo '$(GO_VALIDATION_ERR)';\
-		exit 1; \
-	fi
-
 
 $(NAME): $(GO_SRC)
 	$(GO_BUILD) -o $@ -ldflags "-X main.name=$(NAME) -X main.version=${VERSION}"
 
-$(NAME).coverage: check-go-version $(GO_SRC)
+$(NAME).coverage: $(GO_SRC)
 	$(GO) build \
 		-cover \
 		-o $@ \
@@ -91,18 +72,12 @@
 	make -C test test-junit clean
 
 .PHONY: coverage
-coverage: check-go-version $(NAME).coverage
+coverage: $(NAME).coverage
 	mkdir -p $(COVERAGE_PATH)
 	COVERAGE_PATH=$(COVERAGE_PATH) COVERAGE=1 make -C test
 	# Print coverage from this run
 	$(GO) tool covdata percent -i=${COVERAGE_PATH}
 	$(GO) tool covdata textfmt -i=${COVERAGE_PATH} -o ${COVERAGE_PATH}/coverage.out
-
-.PHONY: codecov
-codecov:
-	curl -Os https://uploader.codecov.io/latest/linux/codecov
-	chmod +x codecov
-	./codecov -f "$(COVERAGE_PATH)"/coverage.out
 
 .PHONY: vendor
 vendor:
@@ -158,7 +133,6 @@
 	@echo " * test - run tests"
 	@echo " * test-junit - run tests and create junit output"
 	@echo " * coverage - generate test coverage report"
-	@echo " * codecov - upload coverage report to codecov.io"
 	@echo " * install - install the binary to $(BINDIR)"
 	@echo " * uninstall - remove the installed binary from $(BINDIR)"
 	@echo " * release - build a static binary"

=== docs/Makefile ===
PREFIX ?= /usr/local
MANDIR ?= $(PREFIX)/share/man

ASCIIDOC := asciidoctor

FOOTER := footer.adoc

SRC1 += checkpointctl-inspect.adoc
SRC1 += checkpointctl-memparse.adoc
SRC1 += checkpointctl-show.adoc
SRC1 += checkpointctl.adoc
SRC := $(SRC1)

MAN1S := $(patsubst %.adoc,%.1,$(SRC1))
MANS := $(MAN1S)
MAN1DIR := $(MANDIR)/man1

all: check $(MANS)

check:
	@$(ASCIIDOC) --version > /dev/null || exit 1

include ../Makefile.versions
$(FOOTER):
	$(call msg-gen, $@)
	@echo "The CRIU team" >  $@
	@echo "v$(VERSION)" >>  $@
	@echo ":doctype: manpage" >>  $@
	@echo ":mansource: checkpointctl" >> $@
	@echo ":manversion: $(VERSION)" >> $@
	@echo ":manmanual: CHECKPOINTCTL Manual" >> $@

%.1: %.adoc $(FOOTER) custom.xsl
	$(call msg-gen, $@)
	@$(ASCIIDOC) -b manpage -d manpage -o $@ $<

clean:
	@rm -f $(MANS) $(FOOTER)

install: check $(MANS)
	@echo "  INSTALL " $(MAN1S)
	@mkdir -p $(DESTDIR)$(MAN1DIR)
	@install -m 644 $(MAN1S) $(DESTDIR)$(MAN1DIR)

uninstall:
	@echo " UNINSTALL" $(MAN1S)
	@rm -rf $(addprefix $(DESTDIR)$(MAN1DIR)/,$(MAN1S))

.PHONY: all check clean install uninstall

=== test/Makefile ===
CRIU ?= criu
CC ?= gcc

all: test clean

test: test-imgs
	@echo "Running BATS tests..."
	bats checkpointctl.bats

test-junit: test-imgs
	@echo "Running BATS tests with JUnit results..."
	bats -F junit checkpointctl.bats > junit.xml

test-imgs: piggie/piggie
	$(eval PID := $(shell export TEST_ENV=BAR TEST_ENV_EMPTY=; piggie/piggie --tcp-socket))
	mkdir -p $@
	$(CRIU) dump --tcp-established -v4 -o dump.log -D $@ -t $(PID) || cat $@/dump.log

piggie/piggie: piggie/piggie.c
	$(CC) $^ -o $@

clean:
	@echo "Cleaning up test files..."
	@rm -rf test-imgs piggie/piggie

.PHONY: all test test-junit clean

=== debian/changelog ===
golang-github-checkpoint-restore-checkpointctl (1.3.0+ds1-3) unstable; urgency=medium

  [ Reinhard Tartler ]
  * gbp.conf: set debian-branch

  [ Adrian Reber ]
  * Replace olekukonko/tablewriter with text/tabwriter

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 16 Aug 2025 18:02:21 -0400

golang-github-checkpoint-restore-checkpointctl (1.3.0+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Nov 2024 09:50:17 -0500

golang-github-checkpoint-restore-checkpointctl (1.3.0+ds1-1) experimental; urgency=medium

  * New upstream release: 1.3.0
  * bump dependency on go-criu-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 29 Oct 2024 09:06:40 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-checkpoint-restore-go-criu-dev (>> 7.1),
+               golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
                golang-github-containers-storage-dev,
-               golang-github-olekukonko-tablewriter-dev,
                golang-github-opencontainers-specs-dev,
                golang-github-spf13-cobra-dev,
                golang-github-ulikunitz-xz-dev,
@@ -24,9 +23,8 @@
 Package: golang-github-checkpoint-restore-checkpointctl-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-checkpoint-restore-go-criu-dev (>> 7.1),
+Depends: golang-github-checkpoint-restore-go-criu-dev (>> 7.2),
          golang-github-containers-storage-dev,
-         golang-github-olekukonko-tablewriter-dev,
          golang-github-opencontainers-specs-dev,
          golang-github-spf13-cobra-dev,
          golang-github-ulikunitz-xz-dev,
